/* 
Theme Name: Creaescola E Child
Theme URI: https://github.com/elementor/hello-theme/
Description: Creaescola E Child es un tema fill de Hello Elementor creat per CreaEscola M&agrave;rqueting i Comunicaci&oacute;.
Author: Creaescola - Santiago Oujo
Author URI: https://creaescola.com/
Template: hello-elementor
Version: 1.0.2
*/

/*=
General
-------------------------------------- */
body {
    --blau:  var(--e-global-color-primary); /* #006EA0 */
    --blaucel:  var(--e-global-color-secondary); /* #009BD9 */
    --text:  var(--e-global-color-text); /* #313133 */
    --blaufosc:  var(--e-global-color-accent); /* #003D5D */
    --blaumclar:  var(--e-global-color-d303d75); /* #77CEF0 */
    --textclar:  var(--e-global-color-2ed2fdc); /* #919199 */
    --blaulight:  var(--e-global-color-52a2655); /* #BFEDFF */
    --gris:  var(--e-global-color-b268a99); /* #C2C2CC */
    --celeste:  var(--e-global-color-5843b57); /* #EDF6FC */
    --blanc:  var(--e-global-color-f724223); /* #FFFFFF */
}
::marker {color: var(--blaucel)!important;}

/*=
Image Carousel
-------------------------------------- */
.elementor-image-carousel-wrapper .elementor-image-carousel .swiper-slide-image {-webkit-box-shadow: 0px 1px 1px rgba(0, 0, 0, 0.15); -moz-box-shadow: 0px 1px 1px  rgba(0, 0, 0, 0.15); box-shadow: rgba(0, 0, 0, 0.15) 0px 3px 3px 0px;}
.elementor-arrows-position-outside .elementor-swiper-button-prev {background-color: var(--blanc);border-radius: 50px;padding: 5px;margin-left: -15px;-webkit-box-shadow: 0px 1px 1px rgba(0, 0, 0, 0.15); -moz-box-shadow: 0px 1px 1px  rgba(0, 0, 0, 0.15); box-shadow: rgba(0, 0, 0, 0.15) 0px 3px 3px 0px;}
.elementor-arrows-position-outside .elementor-swiper-button-next {background-color: var(--blanc);border-radius: 50px;padding: 5px;margin-right: -15px;-webkit-box-shadow: 0px 1px 1px rgba(0, 0, 0, 0.15); -moz-box-shadow: 0px 1px 1px  rgba(0, 0, 0, 0.15); box-shadow: rgba(0, 0, 0, 0.15) 0px 3px 3px 0px;}
.swiper-pagination-bullet.swiper-pagination-bullet-active {background-color: var(--blaucel)!important;}
.titoloop:hover {color:var(--blaufosc)!important;}
/*=
Títols subratllats
-------------------------------------- */
.elementor-widget-heading h2 {text-decoration: underline; text-decoration-style: dotted;text-decoration-color: var(--blau);text-underline-offset: 10px;text-decoration-thickness: 4px;}
.blanc.elementor-widget-heading h2 {text-decoration-color: var(--blanc)!important;}

/*=
Header
-------------------------------------- */
.home .topbar {display: block!important;}
.topbar:not(.home) {display: none;}
.topbar {margin-left: 35px!important; margin-right: 35px!important;}
.topbar .glink {color:var(--blanc)!important;padding:0 5px!important;}
.home .cabecera:not(.elementor-sticky--effects) {border-top-left-radius: 50px;border-top-right-radius: 50px;border-bottom-left-radius: 50px;border-bottom-right-radius: 50px;}
.cabecera:not(.home),
.home .cabecera.elementor-sticky--effects {border-top-left-radius: 0px;border-top-right-radius: 0px;border-bottom-left-radius: 50px;border-bottom-right-radius: 50px;}
.cabecera .pp-advanced-menu--main .pp-advanced-menu--dropdown {-webkit-box-shadow: 0px 1px 1px rgba(0, 0, 0, 0.15); -moz-box-shadow: 0px 1px 1px  rgba(0, 0, 0, 0.15); box-shadow: rgba(0, 0, 0, 0.15) 0px 3px 3px 0px; margin-left: -25px!important;}
.cabecera .pp-advanced-menu--main .pp-advanced-menu--dropdown li:last-child {padding-bottom: 20px!important;}
.cabecera .sub-arrow {color: var(--blaucel)!important;}
.home .titlebar,
.bodypost .titlebar {display: none!important;}
.titlebar:not(.home) {display: block;}
.menumobil {display: none!important;}
a #Trazado_6227_18 {fill: var(--blau);transition: fill 1s ease;}
a:hover #Trazado_6227_18 {fill: var(--blaumclar);transition: fill 0.5s ease;}
.clickedu svg {height: 22px!important;}
.clickedu path {fill: var(--blanc)!important;}
.clickedu:hover path {fill: var(--blaucel)!important;}
.cabecera .wpml-ls-item {display: none!important;}
.vine {border:2px solid var(--blaucel)!important;border-radius: 4px!important;padding:0 10px!important;}

/*=
Footer
-------------------------------------- */
.footer svg path {fill: var(--blanc)!important;}
.copyright, #copyrights {color: var(--blanc)!important;font-size: 14px!important;line-height: 14px!important;}

/*=
Homepage
-------------------------------------- */
.homeslidersection {margin-top: -210px!important;z-index: 0!important;}
.homeslider .elementor-slide-heading,
.homeslider .elementor-slide-description {text-shadow: 0px 2px 5px rgba(0, 0, 0, 0.3)!important;}
.homeslider .elementor-main-swiper {border-bottom-left-radius: 250px!important;}
.homeslider .elementor-swiper-button {background-color: var(--blanc);border-radius: 50px;padding: 10px;}
.hometapes .elementor-image-box-img:hover {background-color: rgba(0,155,217,0.4)!important;border-radius: 24px!important;}
.hometapes .elementor-image-box-img img {mix-blend-mode: multiply!important;margin-bottom: -6px;}
.hometapes .elementor-image-box-title:hover {color: var(--blau)!important;}
.homenotis .swiper-container .swiper-slide, 
.homenotis .swiper-container-wrap .swiper-slide {min-height: 450px!important;}
.homenotis .pp-post-thumbnail img {border-radius: 24px!important;}
.homenotis .pp-post-title {color: var(--blaucel)!important;}
.homenotis .pp-posts-skin-card .pp-post-meta-wrap {bottom: 80px!important;position: absolute!important;}
.homeprojects .pp-carousel-item .pp-post-title {display: none;}
.homeprojects .pp-carousel-item:hover .pp-post-title {display: block;}
.pp-slider-arrow.swiper-button-prev {margin-left: -60px!important;}
.pp-slider-arrow.swiper-button-next {margin-right: -60px!important;}
.pp-post {border: 1px solid var(--celeste);}

/*=
Projectes
-------------------------------------- */
.homeprojects .pp-grid-item .pp-post-title {display: none;}
.homeprojects .pp-grid-item:hover .pp-post-title {display: block;}

/*=
Serveis
-------------------------------------- */
.menus .elementor-icon-box-title:hover {color: var(--blaucel)!important;}

/*=
Formularis
-------------------------------------- */
.elementor-field-type-acceptance,
.elementor-field-type-acceptance label {font-size: 12px!important;line-height: 16px!important;}
.texto,
.texto a {font-size: 14px!important; line-height: 18px!important;}
#modal {position: fixed; top: 0; left: 0; height: 100%; width: 100%; background-color: rgba(0,0,0,.5); display: flex; justify-content: center; align-items: center;z-index: 3;fontsize: 16px!important;}
.modal__window {position: relative; background-color: white; padding: 4em 2em;}
.modal__close { position: absolute; top: -30px; right: 0;}
#modal:not(:target) {visibility: hidden; opacity: 0; }
#modal h3 {color:var(--blau);font-weight:600;}
#modal p {font-size: 16px!important;line-height: 24px!important;color: var(--blaufosc);}

/*=
File List Pro
-------------------------------------- */
.eeSFL table.eeFiles{border: none!important;} 
#documentacio table tbody>tr:nth-child(odd)>td, table tbody>tr:nth-child(odd)>th,
#documentacio table tbody tr:hover>td, table tbody tr:hover>th {background-color:var(--blanc)!important;}
.eeSFL .eeFiles td {border-bottom: none!important;border: none!important;}
.eeSFL td.eeSFL_Thumbnail {width: 20px!important;}
.eeSFL_FileLink a {color: var(--blau)!important;font-size: 16px!important;font-family: var(--e-global-typography-text-font-family)!important;}
.eeSFL_FileLink:hover a {color: var(--blaucel)!important;}

/*=
Responsive móvil
------------------------------- */
@media only screen and (max-width: 767px) {
    .topbar, .home .topbar {display: none!important;}
    .elementor-location-header {padding: 0px;}
    .elementor-location-header:not(.home) {background-image: linear-gradient(rgba(0,155,217,0.1), transparent)!important;opacity: 1!important;background-color:transparent!important;}
    .elementor-location-header:not(.cabecera:not(.elementor-sticky--effects)) {padding: 10px;}
    .cabecera:not(.home):not(.elementor-sticky--effects) {border-top-left-radius: 50px;border-top-right-radius: 50px;border-bottom-left-radius: 50px;border-bottom-right-radius: 50px;}
    .elementor-element.elementor-element-fd69df6 {box-shadow: 0px 0px 10px 0px rgb(0 0 0 / 10%)!important;}
    .pp-menu-toggle .pp-hamburger .pp-hamburger-box .pp-hamburger-inner {background-color: var(--blau)!important;visibility: visible;}
    .pp-advanced-menu:before {content: url(/wp-content/svg/logo.svg);display: block;margin: 0 20px;}
    .menumobil {display: block!important;}
    .cabecera .wpml-ls-item {display: inline-block!important;margin-top: 120px;margin-left: 50px;}
    .cabecera .wpml-ls-item a {font-size: 12px!important;}
    .homenotis .swiper-container .swiper-slide, .homenotis .swiper-container-wrap .swiper-slide {min-height: 550px!important;}
    .homenotis .pp-posts-skin-card .pp-post-meta-wrap {bottom: 50px!important;}
    .elementor-8 .elementor-element.elementor-element-4efc09d > .elementor-widget-container {margin: -30px 0px 0px 0px!important;}
    .footer .elementor-icon-box-icon {display: none!important;}
    .footer .elementor-social-icons-wrapper {padding-bottom: 15px!important;}
    .elementor-widget-heading h2 {line-height: 50px!important;}
    .contactlink {border-radius: 24px!important;-webkit-box-shadow: 0px 1px 1px  #cccccc; -moz-box-shadow: 0px 1px 1px  #cccccc; box-shadow: rgba(0, 0, 0, 0.0470588) 0px 3px 3px 0px;padding: 10px;background-color: var(--blanc);border: 1px solid #f9f9f9;}
}